usb_ep_fifo_status
Prev | Core Objects and Methods | Next

## Name

usb_ep_fifo_status — returns number of bytes in fifo, or error

## Synopsis

`int usb_ep_fifo_status (` | struct usb_ep * | ep`)`;

## Arguments

`ep`

  the endpoint whose fifo status is being checked.

## Description

FIFO endpoints may have “unclaimed data” in them in certain cases, such as after aborted transfers. Hosts may not have collected all the IN data written by the gadget driver (and reported by a request completion). The gadget driver may not have collected all the data written OUT to it by the host. Drivers that need precise handling for fault reporting or recovery may need to use this call.

This returns the number of such bytes in the fifo, or a negative errno if the endpoint doesn't use a FIFO or doesn't support such precise handling.

Prev | Up | Next
usb_ep_clear_halt | Home | usb_ep_fifo_flush